using GlobalSever.Form;
using Server;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PdkFriendServer.GlobalManager
{
    public class GameServerProxy : ServerProxy
    {

        //游戏服务器名称,显示用的标题
        protected override ServerUtilFactory CreateUtilFactory()
        {
            return new MyFactory();
        }

        public GameServerProxy() : base()
        {
            ServerName = "跑得快朋友房";
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override ServerTable[] GetServerTable()
        {
            return new ServerTable[]{
                new GameControl(this),
                new GameTestTable(this)
                //,                new DaZhaForm(this)
                };
        }

    }
}
